<script lang="ts">
  import Fa from 'svelte-fa';
  import type { IconDefinition } from '@fortawesome/fontawesome-common-types';

  export let link: string | undefined = undefined;
  export let icon: IconDefinition;

  export { clazz as class };
  let clazz = '';
</script>

<div class="flex flex-col p-6 bg-white border border-gray-200 rounded-lg shadow text-center {clazz}">
  <h1 class="text-4xl">
    <Fa class="inline-block" {icon} />
  </h1>

  <h5 class="mb-2 text-2xl font-semibold tracking-tight text-gray-900">
    <slot name="title" />
  </h5>

  <p class="mb-3 font-normal text-gray-500">
    <slot name="description" />
  </p>

  {#if link}
    <a href={link} target="_blank" class="inline-flex items-center text-blue-600 hover:underline">
      {link}
    </a>
  {/if}

  <div class="mt-auto">
    <slot name="footer" />
  </div>
</div>
